<?php
/**
* Header Options.
*
* @package Veritable
*/

$veritable_default = veritable_get_default_theme_options();
$veritable_post_category_list = veritable_post_category_list();
$wp_customize->add_section( 'breaking_news_setting',
    array(
    'title'      => esc_html__( 'Breaking News Ticker Settings', 'veritable' ),
    'priority'   => 20,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_option_panel',
    )
);


$wp_customize->add_setting('ed_header_ticker_posts',
    array(
        'default' => $veritable_default['ed_header_ticker_posts'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'veritable_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_ticker_posts',
    array(
        'label' => esc_html__('Enable Ticker Posts', 'veritable'),
        'section' => 'breaking_news_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'ed_header_ticker_posts_title',
    array(
    'default'           => $veritable_default['ed_header_ticker_posts_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ed_header_ticker_posts_title',
    array(
    'label'       => esc_html__( 'Ticker Section Title', 'veritable' ),
    'section'     => 'breaking_news_setting',
    'type'        => 'text',
    )
);


$wp_customize->add_setting( 'veritable_header_ticker_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'veritable_sanitize_select',
    )
);
$wp_customize->add_control( 'veritable_header_ticker_cat',
    array(
    'label'       => esc_html__( 'Ticker Posts Category', 'veritable' ),
    'section'     => 'breaking_news_setting',
    'type'        => 'select',
    'choices'     => $veritable_post_category_list,
    )
);

$wp_customize->add_setting('ed_ticker_slider_autoplay',
    array(
        'default' => $veritable_default['ed_ticker_slider_autoplay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'veritable_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_ticker_slider_autoplay',
    array(
        'label' => esc_html__('Enable Ticker Posts Autoplay', 'veritable'),
        'section' => 'breaking_news_setting',
        'type' => 'checkbox',
    )
);



$wp_customize->add_section( 'date_breaking_news_setting',
	array(
	'title'      => esc_html__( 'Topbar (Date,  Clock,  Social icon)', 'veritable' ),
	'priority'   => 13,
	'capability' => 'edit_theme_options',
    'panel'      => 'theme_option_panel',
	)
);


$wp_customize->add_setting('ed_ticker_bar',
    array(
        'default' => $veritable_default['ed_ticker_bar'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'veritable_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_ticker_bar',
    array(
        'label' => esc_html__('Enable Ticker Bar', 'veritable'),
        'section' => 'date_breaking_news_setting',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('ed_ticker_bar_social_nav',
    array(
        'default' => $veritable_default['ed_ticker_bar_social_nav'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'veritable_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_ticker_bar_social_nav',
    array(
        'label' => esc_html__('Enable Social Nav', 'veritable'),
        'section' => 'date_breaking_news_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_ticker_bar_date',
    array(
        'default' => $veritable_default['ed_ticker_bar_date'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'veritable_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_ticker_bar_date',
    array(
        'label' => esc_html__('Display Date', 'veritable'),
        'section' => 'date_breaking_news_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_ticker_bar_time',
    array(
        'default' => $veritable_default['ed_ticker_bar_time'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'veritable_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_ticker_bar_time',
    array(
        'label' => esc_html__('Display Time', 'veritable'),
        'section' => 'date_breaking_news_setting',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting( 'ticker_date_format',
    array(
    'default'           => $veritable_default['ticker_date_format'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ticker_date_format',
    array(
    'label'       => esc_html__( 'Ticker Date Format', 'veritable' ),
    'section'     => 'date_breaking_news_setting',
    'type'        => 'text',
    )
);


// Header Right Advertise Area Section.
$wp_customize->add_section( 'header_right_add_setting',
    array(
    'title'      => esc_html__( 'Header Middle Area Settings', 'veritable' ),
    'priority'   => 15,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_option_panel',
    )
);


$wp_customize->add_setting( 'site_title_add_layout',
    array(
    'default'           => $veritable_default['site_title_add_layout'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'veritable_sanitize_select',
    )
);
$wp_customize->add_control( 'site_title_add_layout',
    array(
    'label'       => esc_html__( 'Site Title & Adv. Alignment', 'veritable' ),
    'section'     => 'header_right_add_setting',
    'type'        => 'select',
    'choices'               => array(
        'default-layout' => esc_html__( 'Default Layout', 'veritable' ),
        'central-layout' => esc_html__( 'Centre Layout', 'veritable' ),
        ),
    )
);

$wp_customize->add_setting('ed_middle_header_ad',
    array(
        'default' => $veritable_default['ed_middle_header_ad'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'veritable_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_middle_header_ad',
    array(
        'label' => esc_html__('Enable Advertisement', 'veritable'),
        'section' => 'header_right_add_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('header_middle_ad_image',
    array(
        'default' => '',
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control( new WP_Customize_Image_Control(
    $wp_customize,
    'header_middle_ad_image',
        array(
            'label'      => esc_html__( 'Header AD Image', 'veritable' ),
            'section'    => 'header_right_add_setting',
            'active_callback' => 'veritable_middle_header_ad_ac',
        )
    )
);

$wp_customize->add_setting('ed_header_middle_ad_link',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control('ed_header_middle_ad_link',
    array(
        'label' => esc_html__('AD Image Link', 'veritable'),
        'section' => 'header_right_add_setting',
        'type' => 'text',
        'active_callback' => 'veritable_middle_header_ad_ac',
    )
);
