<?php
/**
 * Default Banner
 *
 * @package Veritable
 */
if (!function_exists('veritable_horizontal_vertical_slider')):
    function veritable_horizontal_vertical_slider($veritable_home_section, $repeat_times)
    {
        $section_category_7 = esc_html(isset($veritable_home_section->section_category_7) ? $veritable_home_section->section_category_7 : '');
        $section_slide_category = esc_html(isset($veritable_home_section->section_slide_category) ? $veritable_home_section->section_slide_category : '');
        $section_post_cat_1 = esc_html(isset($veritable_home_section->section_post_cat_1) ? $veritable_home_section->section_post_cat_1 : '');
        $slider_arrows = esc_html(isset($veritable_home_section->ed_arrows_carousel) ? $veritable_home_section->ed_arrows_carousel : '');
        $slider_dots = esc_html(isset($veritable_home_section->ed_dots_carousel) ? $veritable_home_section->ed_dots_carousel : '');
        $slider_autoplay = esc_html(isset($veritable_home_section->ed_autoplay_carousel) ? $veritable_home_section->ed_autoplay_carousel : '');
        $home_section_title_3 = isset($veritable_home_section->home_section_title_3) ? $veritable_home_section->home_section_title_3 : '';
        $home_section_title_4 = isset($veritable_home_section->home_section_title_4) ? $veritable_home_section->home_section_title_4 : '';
        $home_section_title_5 = isset($veritable_home_section->home_section_title_5) ? $veritable_home_section->home_section_title_5 : '';
        if ($slider_arrows == 'yes' || $slider_arrows == '') {
            $arrow = 'true';
        } else {
            $arrow = 'false';
        }
        if ($slider_autoplay == 'yes' || $slider_autoplay == '') {
            $autoplay = 'true';
        } else {
            $autoplay = 'false';
        }
        if ($slider_dots == 'yes') {
            $dots = 'true';
        } else {
            $dots = 'false';
        }
        if (is_rtl()) {
            $rtl = 'true';
        } else {
            $rtl = 'false';
        }
        $banner_query_1 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 2, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_category_7)));
        $banner_query_2 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 5, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_slide_category)));
        $banner_query_3 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 7, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_post_cat_1))); ?>
        <div id="theme-block-<?php echo esc_attr($repeat_times); ?>" class="theme-block theme-default-banner">
            <div class="wrapper">
                <div class="column-row column-row-medium">
                    <div class="column column-3 column-md-6 column-sm-12 column-xs-12 order-md-2">
                        <?php if ($banner_query_1->have_posts()): ?>
                            <?php if ($home_section_title_5) { ?>
                                <header class="block-title-wrapper">
                                    <?php if ($home_section_title_5) { ?>
                                        <h2 class="block-title">
                                            <?php echo esc_html($home_section_title_5); ?>
                                        </h2>
                                    <?php } ?>
                                </header>
                            <?php } ?>
                            <?php
                            while ($banner_query_1->have_posts()) {
                                $banner_query_1->the_post();
                                $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-panel'); ?>>
                                    <div class="data-bg data-bg-medium data-bg-overlay img-hover-slide" data-background="<?php echo esc_url($featured_image); ?>">
                                        <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                    </div>
                                    <div class="article-content article-content-overlay has-article-content-overlay">
                                        <div class="entry-meta">
                                            <?php veritable_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                                        </div>
                                        <h3 class="entry-title entry-title-small">
                                            <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                <?php the_title(); ?>
                                            </a>
                                        </h3>
                                        <div class="entry-meta">
                                            <?php veritable_posted_by(); ?>
                                            <?php veritable_post_view_count(); ?>
                                        </div>
                                    </div>
                                </article>
                                <?php
                            } ?>
                            <?php wp_reset_postdata();
                        endif; ?>
                    </div>
                    <div class="column column-6 column-md-12 column-sm-12 order-md-1">
                        <?php if ($banner_query_2->have_posts()): ?>
                            <div class="default-slider-wrapper">
                                <?php if ($home_section_title_4) { ?>
                                    <header class="block-title-wrapper">
                                        <?php if ($home_section_title_4) { ?>
                                            <h2 class="block-title">
                                                <?php echo esc_html($home_section_title_4); ?>
                                            </h2>
                                        <?php } ?>
                                    </header>
                                <?php } ?>
                                <div class="slider-block-navarea">
                                    <button type="button" class="slide-btn slide-btn-small slide-prev-default">
                                        <?php veritable_theme_svg('chevron-left'); ?>
                                    </button>
                                    <button type="button" class="slide-btn slide-btn-small slide-next-default">
                                        <?php veritable_theme_svg('chevron-right'); ?>
                                    </button>
                                </div>
                                <div class="theme-default-slide" data-slick='{"arrows": <?php echo esc_attr($arrow); ?>, "autoplay": <?php echo esc_attr($autoplay); ?>, "dots": <?php echo esc_attr($dots); ?>, "rtl": <?php echo esc_attr($rtl); ?>}'>
                                    <?php
                                    while ($banner_query_2->have_posts()) {
                                        $banner_query_2->the_post();
                                        $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                        $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                        <div class="theme-slider-item">
                                            <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-panel'); ?>>
                                                <div class="data-bg data-bg-xbig data-bg-overlay img-hover-shine" data-background="<?php echo esc_url($featured_image); ?>">
                                                    <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                                </div>
                                                <div class="article-content has-article-content-overlay article-content-overlay article-content-overlay-bg">
                                                    <div class="entry-meta">
                                                        <?php veritable_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                                                    </div>
                                                    <h2 class="entry-title entry-title-xbig">
                                                        <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                            <?php the_title(); ?>
                                                        </a>
                                                    </h2>
                                                    <div class="entry-footer">
                                                        <div class="entry-meta">
                                                            <?php veritable_posted_by(); ?>
                                                            <?php veritable_post_view_count(); ?>
                                                        </div>
                                                    </div>
                                                    <div class="entry-content hidden-xs-element entry-content-muted content-muted-small">
                                                        <?php
                                                        if (has_excerpt()) {
                                                            the_excerpt();
                                                        } else {
                                                            echo '<p>';
                                                            echo esc_html(wp_trim_words(get_the_content(), 30, '...'));
                                                            echo '</p>';
                                                        } ?>
                                                    </div>
                                                </div>
                                            </article>
                                        </div>
                                    <?php } ?>
                                </div>
                            </div>

                            <?php wp_reset_postdata();
                        endif; ?>
                    </div>

                    <div class="column column-3 column-md-6 column-sm-12 column-xs-12 order-md-3">
                        <?php if ($banner_query_3->have_posts()): ?>
                            <div class="prime-slider-area">
                                

                                <?php if( $banner_query_3 ->have_posts() ): ?>
                                  <div class="prime-slider-left">
                                      <?php
                                      $count = 1;
                                        while( $banner_query_3 ->have_posts() ){
                                        $banner_query_3 ->the_post(); ?>
                                          <?php 
                                          $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium');
                                          $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
                                        <?php if ($count <= 4 ) { 
                                            if ($count==1) { ?>
                                            <div class = 'prime-slider-wrapper'>
                                            <?php if ($home_section_title_3) { ?>
                                                <header class="block-title-wrapper">
                                                    <?php if ($home_section_title_3) { ?>
                                                        <h2 class="block-title">
                                                            <?php echo esc_html($home_section_title_3); ?>
                                                        </h2>
                                                    <?php } ?>
                                                </header>
                                            <?php } ?>

                                                <div class = 'theme-prime-slider'>
                                            <?php } ?>

                                            <div class="prime-slider-item">
                                                <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-panel'); ?>>
                                                    <div class="data-bg data-bg-small img-hover-slide" data-background="<?php echo esc_url($featured_image); ?>">
                                                        <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                                    </div>

                                                    <div class="article-content mt-10">
                                                        <h3 class="entry-title entry-title-small">
                                                            <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                                        </h3>

                                                        <div class="entry-meta">
                                                            <?php veritable_posted_by(); ?>
                                                            <?php veritable_post_view_count(); ?>
                                                        </div>
                                                    </div>
                                                </article>
                                            </div>

                                            <?php if (($count == 4 )|| $banner_query_3->current_post +1 == $banner_query_3->post_count) { ?>
                                                </div>
                                            </div>
                                            <?php } ?>

                                        <?php $count++; } else { ?>
                                            <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-panel'); ?>>
                                            
                                                <div class="article-content article-content-highlights">
                                                    <h3 class="entry-title entry-title-xsmall">
                                                        <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                                    </h3>

                                                    <div class="entry-meta">
                                                        <?php veritable_posted_by(); ?>
                                                        <?php veritable_post_view_count(); ?>
                                                    </div>
                                                </div>
                                            </article>
                                        <?php } ?>
                                      <?php } ?>
                                  </div>
                                <?php endif; ?>




                            </div>
                            <?php
                            wp_reset_postdata();
                        endif;
                        ?>
                    </div>
                </div>
            </div>
        </div>
    <?php }
endif; ?>